Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/mandates/{mandate}

Retrieve a Mandate

Retrieves a Mandate object.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
mandatepathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
customer_acceptance requiredcustomer_acceptance
id requiredstringUnique identifier for the object.
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
multi_usemandate_multi_use
object requiredstringString representing the object's type. Objects of the same type share the same value.
on_behalf_ofstringThe account (if any) that the mandate is intended for.
payment_method requiredone of multiple schemasID of the payment method associated with this mandate.
payment_method_details requiredmandate_payment_method_details
single_usemandate_single_use
status requiredstringThe mandate status indicates whether or not you can use it to initiate a payment.
type requiredstringThe type of the mandate.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors